Package com.databricks.jdbc.telemetry

## Class TelemetryPushClient

- java.lang.Object
- - com.databricks.jdbc.telemetry.TelemetryPushClient

    public class TelemetryPushClient
    extends Object

### Constructor Summary

Constructors
`TelemetryPushClient​(boolean isAuthenticated, IDatabricksConnectionContext connectionContext, com.databricks.sdk.core.DatabricksConfig databricksConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `pushEvent​(TelemetryRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryPushClient

    public TelemetryPushClient​(boolean isAuthenticated,
                               IDatabricksConnectionContext connectionContext,
                               com.databricks.sdk.core.DatabricksConfig databricksConfig)

### Method Detail

#### pushEvent

    public void pushEvent​(TelemetryRequest request)
                   throws Exception

Throws:
  `Exception`